curl --request POST \
--url https://api.timeless.day/v1/rooms/{room_id}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient": {
"type": "anyone"
},
"role": "read"
}
'{
"id": "<string>",
"recipient": {
"type": "anyone"
},
"role": "read"
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Rooms
Set room permission
Grant or update access to a room you own for a teammate, your team, or anyone with the link. Public access is read-only. Teammates and your team can read the meetings in the room. Find teammate IDs and your team ID with List team members.
POST
/
rooms
/
{room_id}
/
permissions
curl --request POST \
--url https://api.timeless.day/v1/rooms/{room_id}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient": {
"type": "anyone"
},
"role": "read"
}
'{
"id": "<string>",
"recipient": {
"type": "anyone"
},
"role": "read"
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Resource not found",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Authorizations
API token from your Timeless dashboard.
Path Parameters
Room ID, for example room_abc123.
Body
application/json